## syslog-ng 3.5.5

=== modules/afamqp/rabbitmq-c/librabbitmq/CMakeLists.txt ===
project(librabbitmq "C")

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Stuff dealing with code generation
set(AMQP_CODEGEN_PY "${CMAKE_CURRENT_BINARY_DIR}/amqp_codegen.py")
set(CODEGEN_PY "${CMAKE_CURRENT_BINARY_DIR}/codegen.py")
set(AMQP_SPEC_JSON_PATH "${AMQP_CODEGEN_DIR}/amqp-rabbitmq-0.9.1.json")

#generate amqp_framing.h/amqp_framing.c

if (PYTHON_VERSION_MAJOR GREATER 2)
  set(CONVERT_CODEGEN ${PYTHON_2TO3_EXECUTABLE} -w ${CODEGEN_PY} > codegen_2to3.out)
  set(CONVERT_AMQP_CODEGEN ${PYTHON_2TO3_EXECUTABLE} -w ${AMQP_CODEGEN_PY} > amqp_codegen_2to3.out)
else ()
  set(CONVERT_CODEGEN "")
  set(CONVERT_AMQP_CODEGEN "")
endif ()

add_custom_command(
  OUTPUT ${CODEGEN_PY}
  COMMAND ${CMAKE_COMMAND} ARGS -E copy ${CMAKE_CURRENT_SOURCE_DIR}/codegen.py ${CODEGEN_PY}
  COMMAND ${CONVERT_CODEGEN}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/codegen.py
  VERBATIM)

add_custom_command(
  OUTPUT ${AMQP_CODEGEN_PY}
  COMMAND ${CMAKE_COMMAND} ARGS -E copy ${AMQP_CODEGEN_DIR}/amqp_codegen.py ${AMQP_CODEGEN_PY}
  COMMAND ${CONVERT_AMQP_CODEGEN}
  DEPENDS ${AMQP_CODEGEN_DIR}/amqp_codegen.py ${AMQP_CODEGEN_TARGET}
  VERBATIM)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/amqp_framing.h
  COMMAND ${PYTHON_EXECUTABLE} ARGS ${CODEGEN_PY} header ${AMQP_SPEC_JSON_PATH} ${CMAKE_CURRENT_BINARY_DIR}/amqp_framing.h
  DEPENDS ${AMQP_SPEC_JSON_PATH} ${CODEGEN_PY} ${AMQP_CODEGEN_PY}
  VERBATIM)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/amqp_framing.c
  COMMAND ${PYTHON_EXECUTABLE} ARGS ${CODEGEN_PY} body ${AMQP_SPEC_JSON_PATH} ${CMAKE_CURRENT_BINARY_DIR}/amqp_framing.c
  DEPENDS ${AMQP_SPEC_JSON_PATH} ${CODEGEN_PY} ${AMQP_CODEGEN_PY}
  VERBATIM)


SET(CONFIG_CONTENTS "#define VERSION \"${VERSION}\"
#ifndef __cplusplus
# define inline ${C_INLINE}
#endif /* __cplusplus */
")

#prepare config.h
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/config.h" ${CONFIG_CONTENTS})

if(WIN32)
  set(SOCKET_IMPL "win32")
else(WIN32)
  set(SOCKET_IMPL "unix")
endif(WIN32)

if(MSVC)
  if(MSVC_VERSION LESS 1600)
    set(MSINTTYPES_INCLUDE "${CMAKE_CURRENT_SOURCE_DIR}/win32/msinttypes")
    set(STDINT_H_INSTALL_FILE "${CMAKE_CURRENT_SOURCE_DIR}/win32/msinttypes/stdint.h")
  endif(MSVC_VERSION LESS 1600)
endif(MSVC)

set(LIBRABBITMQ_INCLUDE_DIRS
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${SOCKET_IMPL}
	${MSINTTYPES_INCLUDE}
	)

include_directories(${LIBRABBITMQ_INCLUDE_DIRS})

set(LIBRABBITMQ_INCLUDE_DIRS
	${LIBRABBITMQ_INCLUDE_DIRS}
	PARENT_SCOPE)

add_definitions(-DHAVE_CONFIG_H)

set(RABBITMQ_SOURCES
    ${CMAKE_CURRENT_BINARY_DIR}/amqp_framing.h
    ${CMAKE_CURRENT_BINARY_DIR}/amqp_framing.c
    amqp_api.c  amqp.h 
    amqp_connection.c  amqp_mem.c  amqp_private.h  amqp_socket.c  amqp_table.c
    amqp_url.c
    ${SOCKET_IMPL}/socket.h ${SOCKET_IMPL}/socket.c
)

add_definitions(-DAMQP_BUILD)

if (NOT BUILD_SHARED_LIBS)
  add_definitions(-DAMQP_STATIC)
endif()

add_library(rabbitmq ${RABBITMQ_SOURCES})

if (WIN32)
    set_target_properties(rabbitmq PROPERTIES VERSION ${RMQ_VERSION} OUTPUT_NAME rabbitmq.${RMQ_SOVERSION})
else ()
    set_target_properties(rabbitmq PROPERTIES VERSION ${RMQ_VERSION} SOVERSION ${RMQ_SOVERSION})
endif ()

if(WIN32)
  target_link_libraries(rabbitmq ws2_32)
endif(WIN32)

install(TARGETS rabbitmq
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
	PUBLIC_HEADER DESTINATION include)

install(FILES amqp.h ${CMAKE_CURRENT_BINARY_DIR}/amqp_framing.h ${STDINT_H_INSTALL_FILE}
	DESTINATION include)

=== debian/changelog ===
syslog-ng (3.5.5-2) unstable; urgency=high

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Explicitly disable linux capability support on non-linux platforms,
    instead of relying on auto-detection (which doesn't always work).

 -- Gergely Nagy <algernon@madhouse-project.org>  Sat, 26 Jul 2014 13:53:39 +0200

syslog-ng (3.5.5-1) unstable; urgency=high

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release, fixing major leaks (hence the urgency)
  * Build-Depend on libjson-c-dev | libjson0-dev. (Closes: #745014)
  * Add /var/log/error to the logrotate file. (Closes: #747020)
  * Include libsyslog-ng-test.a and the related pkg-config file in the
    syslog-ng-dev package.
  * Added an upstart init script (mostly for the benefit of older Ubuntu
    releases and backports).
  * syslog-ng-mod-redis no longer (mistakenly) recommends geoip-database.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 23 Jul 2014 18:44:55 +0200

syslog-ng (3.5.4.1-1) unstable; urgency=medium

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release.
  * Handle the shlibs file correctly, and install it to the syslog-ng-core
    package.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 19 Mar 2014 09:14:08 +0100

=== debian/rules ===
#! /usr/bin/make -f
## debian/rules file for syslog-ng 3.3+
## (C) 2010-2012 Laszlo Boszormenyi (GCS) <gcs@debian.hu>
## (C) 2011-2013 Gergely Nagy <algernon@madhouse-project.org>
##
## Released under the GPLv2+, see /usr/share/common-licenses/GPL-2 on
## Debian systems.

# For my own sanity, when debian/rules is ran without any argument,
# display something meaningful, instead of just running the first
# override.
help:
	sensible-pager debian/README.source

##
#* Environment setup
#
# If DEB_BUILD_OPTIONS has "debug" in it, we want to pass
# --enable-debug to configure.
#
# We also want to build in a separate build directory:
# debian/build-tree, because it's just so much easier to ignore files
# in there.
#
# By the way, if one wants to pass extra flags to configure, that can
# be done with EXTRA_CONFIGURE_OPTS, we don't override it, only append
# to it.
##
ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
EXTRA_CONFIGURE_OPTS += --enable-debug
endif

# We want to support building from a git tree, where the syslog-ng
# sources are in a submodule, in syslog-ng-*. Since we do not wish to
# update the rules for every major version if it can be helped, figure
# it out from the changelog instead.
UMAJOR		   = $(shell dpkg-parsechangelog | sed -n '/^Version:/s/^Version: //p' | cut -d. -f1,2)
# Furthermore, if the directory does not exist, lets suppose we're not
# building from a git checkout, but some kind of tarball-thing, where
# debian/ was laid out on top of the upstream sources. So in this
# case, use the current directory as the source dir.
SRCDIR	   	   = $(shell test -d syslog-ng-${UMAJOR} && echo syslog-ng-${UMAJOR} || echo .)

export DH_OPTIONS += -O-Bdebian/build-tree --dbg-package=syslog-ng-dbg -O-D${SRCDIR}

CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)

# If debian/control does not have a build-dependency on
# libsystemd-daemon, enable systemd support, otherwise not.
ifeq ($(shell grep -q libsystemd-daemon-dev debian/control || echo disabled),disabled)
SYSTEMD_SUPPORT	?= --disable-systemd
else
SYSTEMD_SUPPORT	?= --enable-systemd
endif

ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_OS),linux)
LINUX_CAP_SUPPORT ?= --enable-linux-caps
else
LINUX_CAP_SUPPORT ?= --disable-linux-caps
endif

##
#* Overrides for dh_auto*
##

# Autoreconf needs a few things:
# - m4 directories for the submodules, because otherwise it can
#   randomly fail.
# - We need to call autogen.sh instead of autoreconf.
override_dh_autoreconf:
	install -d ${SRCDIR}/lib/ivykis/m4 ${SRCDIR}/modules/afmongodb/libmongo-client/m4 \
		debian/build-tree/modules/afamqp/rabbitmq-c/librabbitmq
	dh_autoreconf -- sh -c "cd ${SRCDIR} && ./autogen.sh"

# Oh, the joys of configure!
# We pass down all appropriate options, along with EXTRA_CONFIGURE_OPTS.
# This also sets SOURCE_REVISION to the debian package version, plus
# some other stuff that we keep in debian/source_revision (generated
# by debian/tools/bootstrap.sh).
override_dh_auto_configure:
	install -d debian/build-tree
	SOURCE_REVISION="$(shell dpkg-parsechangelog | \
			  sed -n "/^Version:/s/^Version: //p" | \
			  sed -e "s,$$,$(shell cat debian/source_revision 2>/dev/null || true)," | \
			  sed -e "s,$$, ($(shell lsb_release -is)/$(shell lsb_release -rs)),")"; \
	dh_auto_configure -- \
		--build=$(dpkg-architecture -qDEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--sysconfdir=/etc/syslog-ng \
		--localstatedir=/var/lib/syslog-ng \
		--datadir=/usr/share/syslog-ng \
		--libdir=/usr/lib/syslog-ng \
		\
		--enable-dynamic-linking \
		--enable-ssl \
		--enable-spoof-source \
		--enable-tcp-wrapper \
		--enable-sql \
		--enable-mongodb \
		--enable-json \
		${SYSTEMD_SUPPORT} \
		${LINUX_CAP_SUPPORT} \
		\
		--with-libmongo-client=system \
		--with-ivykis=system \
		\
		--with-module-dir='$${exec_prefix}/lib/syslog-ng/$${VERSION}' \
		--with-systemdsystemunitdir="/lib/systemd/system" \
		\
		SOURCE_REVISION="$${SOURCE_REVISION}" \
		${EXTRA_CONFIGURE_OPTS}

# Building is fine, but the manpages need some sed work, to replace
# /opt/syslog-ng with something sensible.
override_dh_auto_build:
	dh_auto_build -- V=1
	for f in debian/build-tree/doc/man/*; do \
		sed -e "s#/opt/syslog\\\-ng/etc#/etc/syslog-ng#g" \
		    -e "s#/opt/syslog\\\-ng##g" \
		    -e "/affile/{s#,#, #g}" \
		    -e 's#^/$$##' <$$f >$$f.new && \
		rm $$f && mv $$f.new $$f; \
	done

# The pkg-config .pc file is installed into ${libdir}/pkgconfig, but
# we override libdir above to place everything useful there. We want
# the .pc file elsewhere, though, so do that here at install time.
override_dh_auto_install:
	dh_auto_install -- pkgconfigdir=/usr/lib/pkgconfig

# Tests. While tests are good, they're quite costy, and I'm not
# convinced they'd run on the buildds at all. Therefore, they're
# disabled.
override_dh_auto_test:

# Cleaning is another fun thing: make distclean will not remove
# everything we want to remove (ie, everything generated, no
# exceptions). So we do a bit of finding and remove a few things it
# missed. We also remove the m4 directories we created for autoreconf
# earlier.
override_dh_auto_clean:
	dh_auto_clean
	find . \( -name 'Makefile.in' -or \
		  -name 'aclocal.m4' -or \
		  -name 'configure' -or \
		  -name 'depcomp' -or -name 'missing' -or \
		  -name 'install-sh' -or -name 'ltmain.sh' -or \
		  -name 'ylwrap' -or \
		  -regex '.*/config\.\(sub\|guess\|h\.in\)' \) \
	     -exec rm '{}' \;
	rm -f ${SRCDIR}/m4/lt*.m4 ${SRCDIR}/m4/libtool.m4 ${SRCDIR}/m4/pkg.m4
	rm -rf ${SRCDIR}/lib/ivykis/m4 ${SRCDIR}/modules/afmongodb/libmongo-client/m4
	rm -rf debian/build-tree/

##
#* Overrides for other debhelper commands
#
# Below are overrides for individual debhelper commands.
##

# On kFreeBSD, d_console_all should log to /dev/ttyva, everywhere
# else, to tty10. To keep the config as simple as possible, this is
# accomplished by pulling the target device out of syslog-ng.conf,
# into `scl-root`/system/tty10.conf.
#
# On kFreeBSD, this defines the `tty10` variable to /dev/ttyva,
# everywhere else to /dev/tty10.
#
# It will be installed into the syslog-ng-core package by the
# override_dh_install target.
ifeq (${DEB_HOST_ARCH_OS},kfreebsd)
TTY10_CONF = tty10.kfreebsd.conf
else
TTY10_CONF = tty10.linux.conf
endif

# Upstream installs the merge-grammar.pl as data, thus not
# executable. Yet, it needs to be, since the Makefiles that upstream
# also installs expect it so.
#
# So we simply flip a few bits after dh_install, and we're good to go!
#
# We also want to install the systemd unit file into syslog-ng-core,
# so do that here too, along with installing tty10.conf.
override_dh_install:
	dh_install
ifneq (,$(filter syslog-ng-dev,$(shell dh_listpackages)))
	chmod +x debian/syslog-ng-dev/usr/share/syslog-ng/tools/merge-grammar.pl
endif
ifneq (,$(filter syslog-ng-core,$(shell dh_listpackages)))
ifeq (${SYSTEMD_SUPPORT},--enable-systemd)
	install -d debian/syslog-ng-core/lib/systemd/system
	install -m 0644 ${SRCDIR}/contrib/systemd/syslog-ng.service \
			debian/syslog-ng-core/lib/systemd/system/
endif
	install -m 0644 debian/${TTY10_CONF} \
			debian/syslog-ng-core/usr/share/syslog-ng/include/scl/system/tty10.conf
endif

# Install the NEWS file as upstream changelog.
# Rationale: the ChangeLog file is an old artifact from the Arch
# times. It is not updated, and is obsolete.
override_dh_installchangelogs:
	dh_installchangelogs ${SRCDIR}/NEWS

# Init files and whatnot were moved to syslog-ng-core, but we want to
# retain the old filenames. Furthermore, the init script is now
# triggered by dpkg triggers, so the maintainer scripts should not
# stop, start or reload syslog-ng anymore.
override_dh_installinit:
	dh_installinit --no-start --name syslog-ng -- defaults 10 90

# Logrotate and Logcheck files were moved from syslog-ng to
# syslog-ng-core too, and like in init's case, we want to keep the old
# name.
override_dh_installlogrotate:
	dh_installlogrotate --name syslog-ng

## syslog-ng 3.5.6

=== modules/afamqp/rabbitmq-c/codegen/Makefile ===
all:
	echo "Please select a target from the Makefile."

clean:
	rm -f *.pyc

distclean: clean
	find . -regex '.*\(~\|#\|\.swp\)' -exec rm {} \;

=== modules/afamqp/rabbitmq-c/tools/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${librabbitmq_SOURCE_DIR} ${librabbitmq_BINARY_DIR} ${POPT_INCLUDE_DIRS})

if (WIN32)
    set(PLATFORM_DIR win32)
    set(PLATFORM_SRCS
        win32/compat.c
        )
else (WIN32)
    set(PLATFORM_DIR unix)
endif (WIN32)

include_directories(${PLATFORM_DIR})

set(COMMON_SRCS
    common.h
    common.c
    ${PLATFORM_SRCS}
    )

add_executable(amqp-publish publish.c ${COMMON_SRCS})
target_link_libraries(amqp-publish rabbitmq ${POPT_LIBRARY})

add_executable(amqp-get get.c ${COMMON_SRCS})
target_link_libraries(amqp-get rabbitmq ${POPT_LIBRARY})

add_executable(amqp-consume consume.c ${PLATFORM_DIR}/process.c ${COMMON_SRCS})
target_link_libraries(amqp-consume rabbitmq ${POPT_LIBRARY})

add_executable(amqp-declare-queue declare_queue.c ${COMMON_SRCS})
target_link_libraries(amqp-declare-queue rabbitmq ${POPT_LIBRARY})

add_executable(amqp-delete-queue delete_queue.c ${COMMON_SRCS})
target_link_libraries(amqp-delete-queue rabbitmq ${POPT_LIBRARY})

if (BUILD_TOOLS_DOCS)
  if (XmlTo_FOUND)
    set(DOCS_SRCS
      doc/amqp-consume.xml
      doc/amqp-declare-queue.xml
      doc/amqp-delete-queue.xml
      doc/amqp-get.xml
      doc/amqp-publish.xml
      doc/librabbitmq-tools.xml
      )

    file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc)
    set(XMLTO_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/doc/man-date.ent)
    add_custom_command(
            OUTPUT ${XMLTO_DEPENDS}
	          COMMAND date +'%Y-%m-%d' > ${XMLTO_DEPENDS}
            VERBATIM
            )

    set(XMLTO_COMMAND_ARGS --skip-validation --searchpath "${CMAKE_CURRENT_BINARY_DIR}/doc")

    XMLTO(${DOCS_SRCS}
      MODES man
      ALL)

    foreach(file ${XMLTO_FILES_man})
      get_filename_component(fileExt ${file} EXT)
      string( REGEX REPLACE "^[.]" "" fileExt ${fileExt} )
      install(
        FILES ${file}
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man${fileExt}
        )
    endforeach()

  else(XmlTo_FOUND)
    message(WARNING "xmlto not found, will not build tools documentation")
  endif(XmlTo_FOUND)
endif()

install(TARGETS amqp-publish amqp-get amqp-consume amqp-declare-queue amqp-delete-queue
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
	PUBLIC_HEADER DESTINATION include)

=== debian/changelog ===
syslog-ng (3.5.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against libsystemd-dev. (Closes: #779765)

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Sep 2015 16:01:58 +0200

syslog-ng (3.5.6-2) unstable; urgency=high

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Use dh_installinit --restart-after-upgrade instead of hand-coding
    essentially the same thing, badly.
  * Urgency high, as this moderates the effect of #757903.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 13 Aug 2014 13:57:15 +0200

syslog-ng (3.5.6-1) unstable; urgency=high

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release, fixing a major memory leak (thus the urgency)
  * Loosen the shlibs dependency on syslog-ng-core, so that
    syslog-ng-incubator need not be rebuilt for every single syslog-ng
    upload.
  * Fixed a typo in debian/rules.

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 11 Aug 2014 11:07:34 +0200

=== debian/control ===
Source: syslog-ng
Section: admin
Priority: extra
Maintainer: syslog-ng maintainers <syslog-ng-maintainers@lists.alioth.debian.org>
Uploaders: Gergely Nagy <algernon@madhouse-project.org>,
           Laszlo Boszormenyi (GCS) <gcs@debian.hu>,
           SZALAY Attila <sasa@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               automake (>= 1:1.11.1),
               pkg-config, flex, bison, lsb-release,
               xsltproc, docbook-xsl,
               libevtlog-dev (>= 0.2.12-5~),
               libesmtp-dev,
               libivykis-dev (>= 0.36.1~),
               libnet1-dev,
               libglib2.0-dev,
               libdbi-dev | libdbi0-dev,
               libssl-dev,
               libmongo-client-dev (>= 0.1.6~),
               libjson-c-dev | libjson0-dev,
               libwrap0-dev,
               libpcre3-dev,
               libcap-dev [linux-any],
               libsystemd-dev [linux-any], dh-systemd (>= 1.3),
               libgeoip-dev,
               libhiredis-dev,
               python
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.5
Homepage: http://www.balabit.com/network-security/syslog-ng/opensource-logging-system
Vcs-Git: git://anonscm.debian.org/syslog-ng/syslog-ng.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=syslog-ng/syslog-ng.git

Package: syslog-ng
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, syslog-ng-core (>= ${source:Upstream-Version}), ${sng:CoreModules}
Recommends: ${sng:Modules}
Description: Enhanced system logging daemon (metapackage)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package is a metapackage, depending on the rest of syslog-ng,
 including all available plugins. It can be safely removed, if only
 parts of syslog-ng need to be installed.

Package: syslog-ng-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: syslog-ng-core (= ${binary:Version}), ${misc:Depends}
Description: Enhanced system logging daemon (debug symbols)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package contains debug symbols for the whole of syslog-ng,
 including the modules.

Package: syslog-ng-dev
Section: libdevel
Architecture: any
Depends: syslog-ng-core (= ${binary:Version}),
 ${misc:Depends}, ${perl:Depends},
 pkg-config, perl, flex, bison,
 libevtlog-dev (>= 0.2.12), libglib2.0-dev, libivykis-dev (>= 0.30)
Description: Enhanced system logging daemon (development files)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package contains the headers and tools needed to build
 third-party plugins against syslog-ng, the next generation system
 logging daemon.

Package: syslog-ng-core
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.12-10)
Recommends: logrotate
Suggests: ${sng:CoreModules}, ${sng:Modules}
Provides: system-log-daemon, linux-kernel-log-daemon, libsyslog-ng-dev
Conflicts: system-log-daemon, linux-kernel-log-daemon
Replaces: syslog-ng (<< 3.3.0~), libsyslog-ng-dev
Breaks: syslog-ng (<< 3.3.0~), libsyslog-ng-dev
Description: Enhanced system logging daemon (core)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the core syslog-ng, with all the plugins
 required for a standard installation.

Package: syslog-ng-mod-json
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Enhanced system logging daemon (JSON plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the $(format-json) template function plugin,
 which makes it possible to conveniently serialize system log messages
 to JSON. Along with the template function, this module also provides
 a json-parser plugin, allowing syslog-ng to parse JSON input.

Package: syslog-ng-mod-mongodb
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: mongodb-server
Description: Enhanced system logging daemon (MongoDB plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the MongoDB destination plugin, which allows
 one to log system messages to MongoDB.

Package: syslog-ng-mod-sql
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to a multitude of SQL databases (including, but
 not limited to MySQL, PostgreSQL and SQLite).

Package: syslog-ng-mod-smtp
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Enhanced system logging daemon (SMTP plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SMTP destination plugin, which allows one
 to send email messages from within syslog-ng itself.

Package: syslog-ng-mod-amqp
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: rabbitmq-server
Description: Enhanced system logging daemon (AMQP plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the AMQP destination plugin, which allows one
 to publish log messages through the AMQP protocol.

Package: syslog-ng-mod-geoip
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: geoip-database
Description: Enhanced system logging daemon (GeoIP plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the GeoIP template function plugin, which
 allows one to do non-DNS IP-to-country resolving from syslog-ng
 templates.

Package: syslog-ng-mod-redis
Architecture: any
Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/make -f
 ## debian/rules file for syslog-ng 3.3+
 ## (C) 2010-2012 Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-## (C) 2011-2013 Gergely Nagy <algernon@madhouse-project.org>
+## (C) 2011-2014 Gergely Nagy <algernon@madhouse-project.org>
 ##
 ## Released under the GPLv2+, see /usr/share/common-licenses/GPL-2 on
 ## Debian systems.
@@ -41,14 +41,21 @@
 # case, use the current directory as the source dir.
 SRCDIR	   	   = $(shell test -d syslog-ng-${UMAJOR} && echo syslog-ng-${UMAJOR} || echo .)
 
+# To better support the Incubator, and have looser dependencies, we
+# track the ABI version here. The aim is to produce a dependency of
+# syslog-ng (>= 3.5.5~), syslog-ng (<< 3.5.6~). We can't get looser
+# than that, because the module directory *will* change.
+ABI_VERSION_LOW	   = $(shell dpkg-parsechangelog | sed -n '/^Version:/s/^Version: //p' | cut -d- -f1)
+ABI_VERSION_HIGH   = $(shell echo $$(echo ${ABI_VERSION_LOW} | rev | cut -d. -f2- | rev).$$(expr $$(echo ${ABI_VERSION_LOW} | rev | cut -d. -f1) + 1))
+
 export DH_OPTIONS += -O-Bdebian/build-tree --dbg-package=syslog-ng-dbg -O-D${SRCDIR}
 
 CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
 LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
 
 # If debian/control does not have a build-dependency on
-# libsystemd-daemon, enable systemd support, otherwise not.
-ifeq ($(shell grep -q libsystemd-daemon-dev debian/control || echo disabled),disabled)
+# libsystemd-daemon, disable systemd support, otherwise enable it.
+ifeq ($(shell grep -q libsystemd-dev debian/control || echo disabled),disabled)
 SYSTEMD_SUPPORT	?= --disable-systemd
 else
 SYSTEMD_SUPPORT	?= --enable-systemd
@@ -205,16 +212,3 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ${SRCDIR}/NEWS
 
-# Init files and whatnot were moved to syslog-ng-core, but we want to
-# retain the old filenames. Furthermore, the init script is now
-# triggered by dpkg triggers, so the maintainer scripts should not
-# stop, start or reload syslog-ng anymore.
-override_dh_installinit:
-	dh_installinit --no-start --name syslog-ng -- defaults 10 90
-
-# Logrotate and Logcheck files were moved from syslog-ng to
-# syslog-ng-core too, and like in init's case, we want to keep the old
-# name.
-override_dh_installlogrotate:
-	dh_installlogrotate --name syslog-ng
-

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://www.balabit.com/downloads/files/syslog-ng/sources/(\d\S*)/source/syslog-ng_(.*)\.tar\.gz

## syslog-ng 3.6.2

=== debian/changelog ===
syslog-ng (3.6.2) unstable; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Mon, 15 Dec 2014 14:50:51 +0000

Local variables:
mode: debian-changelog
End:

## syslog-ng 3.6.4

=== debian/changelog ===
syslog-ng (3.6.4) unstable; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Fri, 19 Jun 2015 11:24:22 +0000

Local variables:
mode: debian-changelog
End:
